RpfFileSearch (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfFileSearch

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfFileSearch

    public class RpfFileSearch

extends java.lang.Object

This class rummages through a file structure looking for RPF files. If there isn't a RPF directory somewhere in the absolute path for a file, it's not considered to be a RPF file.

Field Summary
`protected java.util.Vector<java.lang.String>` | `files` The list of RPF frame files.

Constructor Summary
`RpfFileSearch()`
`RpfFileSearch(java.lang.String startingDir)` Construct and go, starting with the given directory pathname.

Method Summary
`java.lang.String[]` | `getFiles()` Get the file list as a String[].
`void` | `handleEntry(java.io.File file, boolean RPFDirFound)` Search, given a file, plus a flag to let it know if the RPF directory is somewhere above the file in the file sytem.
`boolean` | `handleEntry(java.lang.String startingDir)` Search, starting with the given directory pathname.
`static void` | `main(java.lang.String[] argv)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### files

    protected java.util.Vector<java.lang.String> files

  The list of RPF frame files.

Constructor Detail

### RpfFileSearch

    public RpfFileSearch()

### RpfFileSearch

    public RpfFileSearch(java.lang.String startingDir)

  Construct and go, starting with the given directory pathname.

Method Detail

### handleEntry

    public boolean handleEntry(java.lang.String startingDir)

  Search, starting with the given directory pathname.

### handleEntry

    public void handleEntry(java.io.File file,
                            boolean RPFDirFound)

  Search, given a file, plus a flag to let it know if the RPF directory is somewhere above the file in the file sytem.

### getFiles

    public java.lang.String[] getFiles()

  Get the file list as a String[].

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details